Not able to user White with .NetFramework 4.0

Mar 2, 2011 at 8:45 AM

Hi

I am not able to user White with .net 4.0. With 3.5 framework it works.

 

Error: Warning 1 The referenced assembly "White.Core" could not be resolved because it has a dependency on "System.Web, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" which is not in the currently targeted framework ".NETFramework,Version=v4.0,Profile=Client". Please remove references to assemblies not in the targeted framework or consider retargeting your project. ConsoleApplication2

Mar 6, 2011 at 6:33 PM

You need to make your test assembly target the full .NET framework instead of the cut down "client profile" version of the .NET framework, as the client profile version does not include the System.Web assembly. Your application itself can still target the client profile (and probably should, if it works without the full framework).

In the project properties dialog find the "target framework" and choose ".NET Framework 4" instead of ".NET Framework 4 Client Profile"

Hope this helps,
G.